콘텐츠로 이동
한국어

자동 응답

GET/v1/mailboxes/{mailbox_id}/autoresponder

자동 응답 날짜에는 시간대를 포함하세요. repeat_days는 1~30입니다. 새로운 개인 메일에만 응답하며 From이 Return-Path와 일치해야 합니다.

승인 및 접근 영역 · 오류와 반복

요구

터미널 창
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/autoresponder' \
-H 'Authorization: Bearer <access_token>'

옵션

mailbox_idpath반드시

integer

X-Customer-IDheader
옵션 1

string

옵션 2

null

응답

200 성공적인 응답

application/json

object

enabled

boolean

기본: false

subject

string

기본: ""

maxLength: 200

text

string

기본: ""

maxLength: 10000

starts_at
옵션 1

string · date-time

옵션 2

null

ends_at
옵션 1

string · date-time

옵션 2

null

repeat_days

integer

기본: 7

minimum: 1

maximum: 30

알 수 없는 필드는 허용되지 않습니다.

401 로그인이 필요합니다

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

403 접근 불가

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

404 리소스를 찾을 수 없습니다.

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

409 국가 갈등

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

422 유효성 검사 오류

application/json

object

detail

array

배열 요소

object

loc반드시

array

배열 요소
옵션 1

string

옵션 2

integer

msg반드시

string

type반드시

string

503 일시적인 이용 불가

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object